# WARNING: This package is synced with FC
%global major 0
%define libname %mklibname zmf %{apiversion} %{major}
%define devname %mklibname -d zmf
%global apiversion 0.0

Name: libzmf
Version: 0.0.2
Release: %mkrel 9
Summary: A library for import of Zoner document formats
Group: System/Libraries

License: MPLv2.0
URL: https://wiki.documentfoundation.org/DLP/Libraries/libzmf
Source: https://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: help2man
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(zlib)

%description
libzmf is library providing ability to interpret and import Zoner
document formats into various applications. Currently it only supports
Zoner Callisto/Draw v 4-5.

%package -n %libname
Summary: Development files for %{name}
Group: Development/C
# temp cauldron mixup:
Obsoletes: libzmf < 0.0.1-4
Obsoletes: %{_lib}zmf0 < 0.0.1-4

%description -n %libname
libzmf is library providing ability to interpret and import Zoner
document formats into various applications. Currently it only supports
Zoner Callisto/Draw v 4-5.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
# temp cauldron mixup:
Obsoletes: libzmf-devel < 0.0.1-4

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Zoner documents into other formats
Group       : System/Base

%description tools
Tools to transform Zoner documents into other formats.
Currently supported: SVG, raw.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in zmf2raw zmf2svg; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 zmf2*.1 %{buildroot}/%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files -n %libname
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/zmf2raw
%{_bindir}/zmf2svg
%{_mandir}/man1/zmf2raw.1*
%{_mandir}/man1/zmf2svg.1*


%changelog
* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.0.2-9.mga8
+ Revision: 1650901
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.0.2-8.mga8
+ Revision: 1601042
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 0.0.2-7.mga8
+ Revision: 1564478
- rebuild for new icu 66.1
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 0.0.2-6.mga8
+ Revision: 1534615
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 0.0.2-5.mga8
+ Revision: 1449454
- rebuild for new icu 65.1

* Mon Dec 31 2018 tv <tv> 0.0.2-4.mga7
+ Revision: 1347316
- rebuild for new libicu

* Sun Sep 23 2018 umeabot <umeabot> 0.0.2-3.mga7
+ Revision: 1299296
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 0.0.2-2.mga7
+ Revision: 1252953
- rebuild for new libicu
- adjust BRs

* Wed Feb 07 2018 tv <tv> 0.0.2-1.mga7
+ Revision: 1199482
- new release

* Fri Dec 29 2017 wally <wally> 0.0.1-6.mga7
+ Revision: 1186990
- rebuild for new icu

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.0.1-5.mga6
+ Revision: 1093098
- Rebuild for icu-58.2

* Mon Feb 27 2017 wally <wally> 0.0.1-4.mga6
+ Revision: 1088084
- fix lib pkg name (add api)
- drop unneeded requires

* Mon Feb 27 2017 tv <tv> 0.0.1-3.mga6
+ Revision: 1088072
- fix libification

* Mon Feb 27 2017 tv <tv> 0.0.1-2.mga6
+ Revision: 1088048
- fix devel pkg name

* Mon Feb 27 2017 tv <tv> 0.0.1-1.mga6
+ Revision: 1088031
- imported package libzmf


* Sun Feb 26 2017 Thierry Vignaud <tv@mageia.org> 0.0.1-1.mga6
- import from FC

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 07 2016 David Tardon <dtardon@redhat.com> - 0.0.1-1
- new upstream release

* Thu Jun 23 2016 David Tardon <dtardon@redhat.com> 0.0.0-1
- initial import
